TDA(4)

NAME
tda - TDA8444 fan speed controller

SYNOPSIS
tda0 at iic1 addr 0x24: fan-control

DESCRIPTION
The tda driver provides support for the TDA8444 DAC used to control the fan speeds in Sun Blade 1000 and Blade 2000 systems. The speed of the CPU fan and of the system fan are automatically adjusted every 60 seconds, based on the currently reported CPU and system temperatures, respectively.

The speed-related values are made available through the envstat(8) interface. The range of the values are:
 | Minimum | Maximum
CPU temperature | <=57 | >=67
System temperature | <=20 | >=30
Speed value | 12 | 63

SEE ALSO
admtemp(4), envstat(8)

BUGS
The temperatures are reported as ‘internal’ and ‘external’ instead of ‘system’ and ‘CPU’, respectively.